--- title: "Delete record" slug: "networking-globaldns-record-deleterecordlist" tags: ["Global DNS", "Record"] updated: 2026-09-17T10:12:30Z published: 2026-09-17T10:12:30Z canonical: "api.ncloud-docs.com/networking-globaldns-record-deleterecordlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete record Available in Classic and VPC Delete a specified record among those added to a specific domain. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | DELETE | /dns/v1/ncpdns/record/{domainId} | ### Request headers For information about the headers common to all Record APIs, see [Record API request headers](/docs/en/networking-globaldns-record#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `domainId` | Integer | Required | Domain ID - See [View domain](/docs/en/networking-globaldns-record-getdomainlist) | ### Request body The following describes the request body. | Field | Type | Required | Description | | --- | --- | --- | --- | | list | List[Long] | Required | Record ID list - See [View record](/docs/en/networking-globaldns-record-getrecordlist) | ### Request example The following is a sample request. ``` curl --location --request DELETE 'https://globaldns.apigw.ntruss.com/dns/v1/ncpdns/record/25***' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '[ 26**** ]' ``` ## Response The following describes the response format. ### Response status codes For information about the HTTP status codes common to all Record APIs, see [Record API response status codes](/docs/en/networking-globaldns-record#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Error code example The following is a sample error code. ``` { "result": "FAIL", "error": { "errorCode": "X00006", "message": "The record you want to delete (Type: A, Name : www.example.com) is being used as an alias elsewhere. Try deleting again after deleting the alias.", "devMessage": "The record you want to delete (Type: {0}, Name : {1}) is being used as an alias elsewhere.
Try deleting again after deleting the alias." } } ```